Bug 1650881 - boltd stays running when there is no Thunderbolt 3 hardware
Summary: boltd stays running when there is no Thunderbolt 3 hardware
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: bolt
Version: rawhide
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
Assignee: Christian Kellner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-17 02:21 UTC by Steve
Modified: 2019-11-14 10:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
freedesktop.org Gitlab bolt bolt issues 92 None None None 2019-07-22 09:31:14 UTC

Description Steve 2018-11-17 02:21:02 UTC
Description of problem:
On a system with no Thunderbolt 3 hardware, boltd is running anyway.

Version-Release number of selected component (if applicable):
bolt-0.5-1.fc29.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. On a system with no Thunderbolt 3 hardware, install F29 Workstation, update, restart.

Actual results:
boltd is running:

$ pgrep -a bolt
1906 /usr/libexec/boltd

$ systemctl status bolt.service 
● bolt.service - Thunderbolt system service
   Loaded: loaded (/usr/lib/systemd/system/bolt.service; static; vendor preset: disabled)
   Active: active (running) since Sat 2018-11-17 02:06:49 GMT; 9min ago
     Docs: man:boltd(8)
 Main PID: 1906 (boltd)
    Tasks: 3 (limit: 4703)
   Memory: 1.5M
   CGroup: /system.slice/bolt.service
           └─1906 /usr/libexec/boltd
...

Expected results:
boltd is not running.

Additional info:

Comment 1 Steve 2018-11-17 02:45:31 UTC
(In reply to Steve from comment #0)
> 1. On a system with no Thunderbolt 3 hardware, ...

That configuration can be emulated in a VM. AFAICT, QEMU does not emulate Thunderbolt 3.

Tested on an F27 host with:

qemu-kvm-2.10.2-1.fc27.x86_64
libvirt-3.7.0-6.fc27.x86_64
virt-manager-1.4.3-2.fc27.noarch

Comment 2 Yanko Kaneti 2018-11-17 10:16:41 UTC
See upstream issue https://gitlab.freedesktop.org/bolt/bolt/issues/92

Comment 3 Ben Cotton 2019-10-31 19:02:51 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Christian Kellner 2019-11-14 10:45:11 UTC
This issue is indeed two issues: 1) boltd should not be started on a system without thunderbolt hardware. 2) boltd should exit on idle, i.e. nothing to do, no hardware around, if it was started. The first one is caused by fwupd using boltd to try to force power the thunderbolt controller if it cannot detect one. This got fixed with fwupd 1.3.3. The second one needs systemd changes (see upstream issue 92).


Note You need to log in before you can comment on or make changes to this bug.